Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041418
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-22 16:082019-08-22 14:45
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision51a2c5c403c1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041418: Apply HQL style guide to AcctServer

DescriptionApply HQL style guide to AcctServer
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
related to defect 00412403.0PR19Q4 closedcollazoandy4 AcctServer.{getAccountDBpartner, disableDocumentConfirmation} are not using bind-params 

-  Notes
(0113582)
collazoandy4 (developer)
2019-07-23 00:00

Test Plan
  Complete and Post a new Sales Invoice
(0114073)
hgbot (developer)
2019-08-19 11:27

Repository: erp/devel/pi
Changeset: 51a2c5c403c17ec5e95a9821d29615693d44f277
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Jul 22 15:57:18 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/51a2c5c403c17ec5e95a9821d29615693d44f277 [^]

Fixes issue 41418: Apply HQL style guide to AcctServer

Applied the new HQL style in AcctServer

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0114075)
hgbot (developer)
2019-08-19 11:27

Repository: erp/devel/pi
Changeset: 1ed24b38bd850fbd83144e55a2689076750e88eb
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Aug 19 11:19:32 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/1ed24b38bd850fbd83144e55a2689076750e88eb [^]

related to issue 41418 not necessary toString()

---
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
---
(0114078)
Sandrahuguet (developer)
2019-08-19 11:28

code review + testing ok
(0114228)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114230)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-22 16:08 collazoandy4 New Issue
2019-07-22 16:08 collazoandy4 Assigned To => collazoandy4
2019-07-22 16:08 collazoandy4 Modules => Core
2019-07-22 16:08 collazoandy4 Triggers an Emergency Pack => No
2019-07-22 16:08 collazoandy4 Status new => scheduled
2019-07-22 22:03 collazoandy4 Relationship added related to 0041287
2019-07-23 00:00 collazoandy4 Note Added: 0113582
2019-08-19 10:19 Sandrahuguet Relationship added related to 0041240
2019-08-19 11:27 hgbot Checkin
2019-08-19 11:27 hgbot Note Added: 0114073
2019-08-19 11:27 hgbot Status scheduled => resolved
2019-08-19 11:27 hgbot Resolution open => fixed
2019-08-19 11:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/51a2c5c403c17ec5e95a9821d29615693d44f277 [^]
2019-08-19 11:27 hgbot Checkin
2019-08-19 11:27 hgbot Note Added: 0114075
2019-08-19 11:28 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-19 11:28 Sandrahuguet Note Added: 0114078
2019-08-19 11:28 Sandrahuguet Status resolved => closed
2019-08-19 11:28 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114228
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114230


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker